#AdriftDriver.py
import numpy
from engine.Driver import Driver
from client.AdriftStartScreen import AdriftStartScreen
from client.AdriftGameScreen import AdriftGameScreen
from client.AdriftLoadScreen import AdriftLoadScreen
from client.AdriftCreditsScreen import AdriftCreditsScreen


if __name__ == "__main__":
	#800 x 600 game screen
	d = Driver(800, 600)
	m = AdriftStartScreen()
	p = AdriftGameScreen()
	l = AdriftLoadScreen()
	c = AdriftCreditsScreen()
	d.addScene(m)
	d.addScene(l)
	d.addScene(p)
	d.addScene(c)
	d.changeScene(0)
	#start and run
	d.main()
